!enum to handle the various types of values that can be written
!to the excel file.
ValueTypes  ITEMIZE
xlsinteger   EQUATE(0)
xlsnumber    EQUATE(1)
xlsText      EQUATE(2)
            END

!enum to hold cell alignment
CellAlignment   ITEMIZE
xlsGeneralAlign  EQUATE(0)
xlsLeftAlign     EQUATE(1)
xlsCentreAlign   EQUATE(2)
xlsrightAlign    EQUATE(3)
xlsFillCell      EQUATE(4)
xlsLeftBorder    EQUATE(8)
xlsRightBorder   EQUATE(16)
xlsTopBorder     EQUATE(32)
xlsBottomBorder  EQUATE(64)
xlsShaded        EQUATE(128)
                END

!enum to handle selecting the font for the cell
CellFont        ITEMIZE
!used by rgbAttr2
!bits 0-5 handle the *picture* formatting, not bold/underline etc...
!bits 6-7 handle the font number
xlsFont0         EQUATE(0)
xlsFont1         EQUATE(64)
xlsFont2         EQUATE(128)
xlsFont3         EQUATE(192)
                END

CellHiddenLocked ITEMIZE
!used by rgbAttr1
!bits 0-5 must be zero
!bit 6 locked/unlocked
!bit 7 hidden/not hidden
xlsNormal        EQUATE(0)
xlsLocked        EQUATE(64)
xlsHidden        EQUATE(128)
                END

!set up variables to hold the spreadsheet's layout
MarginTypes     ITEMIZE
xlsLeftMargin    EQUATE(38)
xlsRightMargin   EQUATE(39)
xlsTopMargin     EQUATE(40)
xlsBottomMargin  EQUATE(41)
                END

FontFormatting  ITEMIZE
!add these enums together. For example: xlsBold + xlsUnderline
xlsNoFormat      EQUATE(0)
xlsBold          EQUATE(1)
xlsItalic        EQUATE(2)
xlsUnderline     EQUATE(4)
xlsStrikeout     EQUATE(8)
                END
